## org.eclipse.datatools.modelbase.sql.query
Interface SQLQueryModelFactory

All Known Implementing Classes:
  SQLQueryModelFactoryImpl

    public interface SQLQueryModelFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLQueryModelPackage`

Field Summary
`static SQLQueryModelFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`ColumnName` `createColumnName()` Returns a new object of class 'Column Name'.
`CursorReference` `createCursorReference()` Returns a new object of class 'Cursor Reference'.
`GroupingExpression` `createGroupingExpression()` Returns a new object of class 'Grouping Expression'.
`GroupingSets` `createGroupingSets()` Returns a new object of class 'Grouping Sets'.
`GroupingSetsElementExpression` `createGroupingSetsElementExpression()` Returns a new object of class 'Grouping Sets Element Expression'.
`GroupingSetsElementSublist` `createGroupingSetsElementSublist()` Returns a new object of class 'Grouping Sets Element Sublist'.
`OrderByOrdinal` `createOrderByOrdinal()` Returns a new object of class 'Order By Ordinal'.
`OrderByResultColumn` `createOrderByResultColumn()` Returns a new object of class 'Order By Result Column'.
`OrderByValueExpression` `createOrderByValueExpression()` Returns a new object of class 'Order By Value Expression'.
`PredicateBasic` `createPredicateBasic()` Returns a new object of class 'Predicate Basic'.
`PredicateBetween` `createPredicateBetween()` Returns a new object of class 'Predicate Between'.
`PredicateExists` `createPredicateExists()` Returns a new object of class 'Predicate Exists'.
`PredicateInValueList` `createPredicateInValueList()` Returns a new object of class 'Predicate In Value List'.
`PredicateInValueRowSelect` `createPredicateInValueRowSelect()` Returns a new object of class 'Predicate In Value Row Select'.
`PredicateInValueSelect` `createPredicateInValueSelect()` Returns a new object of class 'Predicate In Value Select'.
`PredicateIsNull` `createPredicateIsNull()` Returns a new object of class 'Predicate Is Null'.
`PredicateLike` `createPredicateLike()` Returns a new object of class 'Predicate Like'.
`PredicateQuantifiedRowSelect` `createPredicateQuantifiedRowSelect()` Returns a new object of class 'Predicate Quantified Row Select'.
`PredicateQuantifiedValueSelect` `createPredicateQuantifiedValueSelect()` Returns a new object of class 'Predicate Quantified Value Select'.
`QueryCombined` `createQueryCombined()` Returns a new object of class 'Query Combined'.
`QueryDeleteStatement` `createQueryDeleteStatement()` Returns a new object of class 'Query Delete Statement'.
`QueryExpressionRoot` `createQueryExpressionRoot()` Returns a new object of class 'Query Expression Root'.
`QueryInsertStatement` `createQueryInsertStatement()` Returns a new object of class 'Query Insert Statement'.
`QueryMergeStatement` `createQueryMergeStatement()` Returns a new object of class 'Query Merge Statement'.
`QueryNested` `createQueryNested()` Returns a new object of class 'Query Nested'.
`QuerySelect` `createQuerySelect()` Returns a new object of class 'Query Select'.
`QuerySelectStatement` `createQuerySelectStatement()` Returns a new object of class 'Query Select Statement'.
`QueryUpdateStatement` `createQueryUpdateStatement()` Returns a new object of class 'Query Update Statement'.
`QueryValues` `createQueryValues()` Returns a new object of class 'Query Values'.
`ResultColumn` `createResultColumn()` Returns a new object of class 'Result Column'.
`ResultTableAllColumns` `createResultTableAllColumns()` Returns a new object of class 'Result Table All Columns'.
`SearchConditionCombined` `createSearchConditionCombined()` Returns a new object of class 'Search Condition Combined'.
`SearchConditionNested` `createSearchConditionNested()` Returns a new object of class 'Search Condition Nested'.
`SuperGroup` `createSuperGroup()` Returns a new object of class 'Super Group'.
`SuperGroupElementExpression` `createSuperGroupElementExpression()` Returns a new object of class 'Super Group Element Expression'.
`SuperGroupElementSublist` `createSuperGroupElementSublist()` Returns a new object of class 'Super Group Element Sublist'.
`TableCorrelation` `createTableCorrelation()` Returns a new object of class 'Table Correlation'.
`TableFunction` `createTableFunction()` Returns a new object of class 'Table Function'.
`TableInDatabase` `createTableInDatabase()` Returns a new object of class 'Table In Database'.
`TableJoined` `createTableJoined()` Returns a new object of class 'Table Joined'.
`TableNested` `createTableNested()` Returns a new object of class 'Table Nested'.
`UpdateAssignmentExpression` `createUpdateAssignmentExpression()` Returns a new object of class 'Update Assignment Expression'.
`UpdateSource` `createUpdateSource()` Returns a new object of class 'Update Source'.
`UpdateSourceExprList` `createUpdateSourceExprList()` Returns a new object of class 'Update Source Expr List'.
`UpdateSourceQuery` `createUpdateSourceQuery()` Returns a new object of class 'Update Source Query'.
`ValueExpressionCaseElse` `createValueExpressionCaseElse()` Returns a new object of class 'Value Expression Case Else'.
`ValueExpressionCaseSearch` `createValueExpressionCaseSearch()` Returns a new object of class 'Value Expression Case Search'.
`ValueExpressionCaseSearchContent` `createValueExpressionCaseSearchContent()` Returns a new object of class 'Value Expression Case Search Content'.
`ValueExpressionCaseSimple` `createValueExpressionCaseSimple()` Returns a new object of class 'Value Expression Case Simple'.
`ValueExpressionCaseSimpleContent` `createValueExpressionCaseSimpleContent()` Returns a new object of class 'Value Expression Case Simple Content'.
`ValueExpressionCast` `createValueExpressionCast()` Returns a new object of class 'Value Expression Cast'.
`ValueExpressionColumn` `createValueExpressionColumn()` Returns a new object of class 'Value Expression Column'.
`ValueExpressionCombined` `createValueExpressionCombined()` Returns a new object of class 'Value Expression Combined'.
`ValueExpressionDefaultValue` `createValueExpressionDefaultValue()` Returns a new object of class 'Value Expression Default Value'.
`ValueExpressionFunction` `createValueExpressionFunction()` Returns a new object of class 'Value Expression Function'.
`ValueExpressionLabeledDuration` `createValueExpressionLabeledDuration()` Returns a new object of class 'Value Expression Labeled Duration'.
`ValueExpressionNested` `createValueExpressionNested()` Returns a new object of class 'Value Expression Nested'.
`ValueExpressionNullValue` `createValueExpressionNullValue()` Returns a new object of class 'Value Expression Null Value'.
`ValueExpressionScalarSelect` `createValueExpressionScalarSelect()` Returns a new object of class 'Value Expression Scalar Select'.
`ValueExpressionSimple` `createValueExpressionSimple()` Returns a new object of class 'Value Expression Simple'.
`ValueExpressionVariable` `createValueExpressionVariable()` Returns a new object of class 'Value Expression Variable'.
`ValuesRow` `createValuesRow()` Returns a new object of class 'Values Row'.
`WithTableReference` `createWithTableReference()` Returns a new object of class 'With Table Reference'.
`WithTableSpecification` `createWithTableSpecification()` Returns a new object of class 'With Table Specification'.
`SQLQueryModelPackage` `getSQLQueryModelPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    static final SQLQueryModelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createQueryDeleteStatement

    QueryDeleteStatement createQueryDeleteStatement()

  Returns a new object of class 'Query Delete Statement'.

  Returns:
    a new object of class 'Query Delete Statement'.

### createQueryInsertStatement

    QueryInsertStatement createQueryInsertStatement()

  Returns a new object of class 'Query Insert Statement'.

  Returns:
    a new object of class 'Query Insert Statement'.

### createQuerySelectStatement

    QuerySelectStatement createQuerySelectStatement()

  Returns a new object of class 'Query Select Statement'.

  Returns:
    a new object of class 'Query Select Statement'.

### createQueryUpdateStatement

    QueryUpdateStatement createQueryUpdateStatement()

  Returns a new object of class 'Query Update Statement'.

  Returns:
    a new object of class 'Query Update Statement'.

### createUpdateAssignmentExpression

    UpdateAssignmentExpression createUpdateAssignmentExpression()

  Returns a new object of class 'Update Assignment Expression'.

  Returns:
    a new object of class 'Update Assignment Expression'.

### createCursorReference

    CursorReference createCursorReference()

  Returns a new object of class 'Cursor Reference'.

  Returns:
    a new object of class 'Cursor Reference'.

### createQueryExpressionRoot

    QueryExpressionRoot createQueryExpressionRoot()

  Returns a new object of class 'Query Expression Root'.

  Returns:
    a new object of class 'Query Expression Root'.

### createValuesRow

    ValuesRow createValuesRow()

  Returns a new object of class 'Values Row'.

  Returns:
    a new object of class 'Values Row'.

### createQueryValues

    QueryValues createQueryValues()

  Returns a new object of class 'Query Values'.

  Returns:
    a new object of class 'Query Values'.

### createTableJoined

    TableJoined createTableJoined()

  Returns a new object of class 'Table Joined'.

  Returns:
    a new object of class 'Table Joined'.

### createWithTableSpecification

    WithTableSpecification createWithTableSpecification()

  Returns a new object of class 'With Table Specification'.

  Returns:
    a new object of class 'With Table Specification'.

### createSearchConditionCombined

    SearchConditionCombined createSearchConditionCombined()

  Returns a new object of class 'Search Condition Combined'.

  Returns:
    a new object of class 'Search Condition Combined'.

### createOrderByValueExpression

    OrderByValueExpression createOrderByValueExpression()

  Returns a new object of class 'Order By Value Expression'.

  Returns:
    a new object of class 'Order By Value Expression'.

### createQueryCombined

    QueryCombined createQueryCombined()

  Returns a new object of class 'Query Combined'.

  Returns:
    a new object of class 'Query Combined'.

### createQuerySelect

    QuerySelect createQuerySelect()

  Returns a new object of class 'Query Select'.

  Returns:
    a new object of class 'Query Select'.

### createResultTableAllColumns

    ResultTableAllColumns createResultTableAllColumns()

  Returns a new object of class 'Result Table All Columns'.

  Returns:
    a new object of class 'Result Table All Columns'.

### createResultColumn

    ResultColumn createResultColumn()

  Returns a new object of class 'Result Column'.

  Returns:
    a new object of class 'Result Column'.

### createPredicateBasic

    PredicateBasic createPredicateBasic()

  Returns a new object of class 'Predicate Basic'.

  Returns:
    a new object of class 'Predicate Basic'.

### createPredicateBetween

    PredicateBetween createPredicateBetween()

  Returns a new object of class 'Predicate Between'.

  Returns:
    a new object of class 'Predicate Between'.

### createPredicateExists

    PredicateExists createPredicateExists()

  Returns a new object of class 'Predicate Exists'.

  Returns:
    a new object of class 'Predicate Exists'.

### createPredicateLike

    PredicateLike createPredicateLike()

  Returns a new object of class 'Predicate Like'.

  Returns:
    a new object of class 'Predicate Like'.

### createPredicateIsNull

    PredicateIsNull createPredicateIsNull()

  Returns a new object of class 'Predicate Is Null'.

  Returns:
    a new object of class 'Predicate Is Null'.

### createPredicateQuantifiedValueSelect

    PredicateQuantifiedValueSelect createPredicateQuantifiedValueSelect()

  Returns a new object of class 'Predicate Quantified Value Select'.

  Returns:
    a new object of class 'Predicate Quantified Value Select'.

### createPredicateQuantifiedRowSelect

    PredicateQuantifiedRowSelect createPredicateQuantifiedRowSelect()

  Returns a new object of class 'Predicate Quantified Row Select'.

  Returns:
    a new object of class 'Predicate Quantified Row Select'.

### createPredicateInValueSelect

    PredicateInValueSelect createPredicateInValueSelect()

  Returns a new object of class 'Predicate In Value Select'.

  Returns:
    a new object of class 'Predicate In Value Select'.

### createPredicateInValueList

    PredicateInValueList createPredicateInValueList()

  Returns a new object of class 'Predicate In Value List'.

  Returns:
    a new object of class 'Predicate In Value List'.

### createPredicateInValueRowSelect

    PredicateInValueRowSelect createPredicateInValueRowSelect()

  Returns a new object of class 'Predicate In Value Row Select'.

  Returns:
    a new object of class 'Predicate In Value Row Select'.

### createValueExpressionSimple

    ValueExpressionSimple createValueExpressionSimple()

  Returns a new object of class 'Value Expression Simple'.

  Returns:
    a new object of class 'Value Expression Simple'.

### createValueExpressionColumn

    ValueExpressionColumn createValueExpressionColumn()

  Returns a new object of class 'Value Expression Column'.

  Returns:
    a new object of class 'Value Expression Column'.

### createValueExpressionVariable

    ValueExpressionVariable createValueExpressionVariable()

  Returns a new object of class 'Value Expression Variable'.

  Returns:
    a new object of class 'Value Expression Variable'.

### createValueExpressionScalarSelect

    ValueExpressionScalarSelect createValueExpressionScalarSelect()

  Returns a new object of class 'Value Expression Scalar Select'.

  Returns:
    a new object of class 'Value Expression Scalar Select'.

### createValueExpressionLabeledDuration

    ValueExpressionLabeledDuration createValueExpressionLabeledDuration()

  Returns a new object of class 'Value Expression Labeled Duration'.

  Returns:
    a new object of class 'Value Expression Labeled Duration'.

### createValueExpressionCast

    ValueExpressionCast createValueExpressionCast()

  Returns a new object of class 'Value Expression Cast'.

  Returns:
    a new object of class 'Value Expression Cast'.

### createValueExpressionNullValue

    ValueExpressionNullValue createValueExpressionNullValue()

  Returns a new object of class 'Value Expression Null Value'.

  Returns:
    a new object of class 'Value Expression Null Value'.

### createValueExpressionDefaultValue

    ValueExpressionDefaultValue createValueExpressionDefaultValue()

  Returns a new object of class 'Value Expression Default Value'.

  Returns:
    a new object of class 'Value Expression Default Value'.

### createValueExpressionFunction

    ValueExpressionFunction createValueExpressionFunction()

  Returns a new object of class 'Value Expression Function'.

  Returns:
    a new object of class 'Value Expression Function'.

### createValueExpressionCombined

    ValueExpressionCombined createValueExpressionCombined()

  Returns a new object of class 'Value Expression Combined'.

  Returns:
    a new object of class 'Value Expression Combined'.

### createGroupingSets

    GroupingSets createGroupingSets()

  Returns a new object of class 'Grouping Sets'.

  Returns:
    a new object of class 'Grouping Sets'.

### createGroupingSetsElementSublist

    GroupingSetsElementSublist createGroupingSetsElementSublist()

  Returns a new object of class 'Grouping Sets Element Sublist'.

  Returns:
    a new object of class 'Grouping Sets Element Sublist'.

### createGroupingSetsElementExpression

    GroupingSetsElementExpression createGroupingSetsElementExpression()

  Returns a new object of class 'Grouping Sets Element Expression'.

  Returns:
    a new object of class 'Grouping Sets Element Expression'.

### createSuperGroup

    SuperGroup createSuperGroup()

  Returns a new object of class 'Super Group'.

  Returns:
    a new object of class 'Super Group'.

### createGroupingExpression

    GroupingExpression createGroupingExpression()

  Returns a new object of class 'Grouping Expression'.

  Returns:
    a new object of class 'Grouping Expression'.

### createSuperGroupElementSublist

    SuperGroupElementSublist createSuperGroupElementSublist()

  Returns a new object of class 'Super Group Element Sublist'.

  Returns:
    a new object of class 'Super Group Element Sublist'.

### createSuperGroupElementExpression

    SuperGroupElementExpression createSuperGroupElementExpression()

  Returns a new object of class 'Super Group Element Expression'.

  Returns:
    a new object of class 'Super Group Element Expression'.

### createValueExpressionCaseSearch

    ValueExpressionCaseSearch createValueExpressionCaseSearch()

  Returns a new object of class 'Value Expression Case Search'.

  Returns:
    a new object of class 'Value Expression Case Search'.

### createValueExpressionCaseSimple

    ValueExpressionCaseSimple createValueExpressionCaseSimple()

  Returns a new object of class 'Value Expression Case Simple'.

  Returns:
    a new object of class 'Value Expression Case Simple'.

### createValueExpressionCaseElse

    ValueExpressionCaseElse createValueExpressionCaseElse()

  Returns a new object of class 'Value Expression Case Else'.

  Returns:
    a new object of class 'Value Expression Case Else'.

### createValueExpressionCaseSearchContent

    ValueExpressionCaseSearchContent createValueExpressionCaseSearchContent()

  Returns a new object of class 'Value Expression Case Search Content'.

  Returns:
    a new object of class 'Value Expression Case Search Content'.

### createValueExpressionCaseSimpleContent

    ValueExpressionCaseSimpleContent createValueExpressionCaseSimpleContent()

  Returns a new object of class 'Value Expression Case Simple Content'.

  Returns:
    a new object of class 'Value Expression Case Simple Content'.

### createTableInDatabase

    TableInDatabase createTableInDatabase()

  Returns a new object of class 'Table In Database'.

  Returns:
    a new object of class 'Table In Database'.

### createTableFunction

    TableFunction createTableFunction()

  Returns a new object of class 'Table Function'.

  Returns:
    a new object of class 'Table Function'.

### createColumnName

    ColumnName createColumnName()

  Returns a new object of class 'Column Name'.

  Returns:
    a new object of class 'Column Name'.

### createTableNested

    TableNested createTableNested()

  Returns a new object of class 'Table Nested'.

  Returns:
    a new object of class 'Table Nested'.

### createQueryMergeStatement

    QueryMergeStatement createQueryMergeStatement()

  Returns a new object of class 'Query Merge Statement'.

  Returns:
    a new object of class 'Query Merge Statement'.

### createSearchConditionNested

    SearchConditionNested createSearchConditionNested()

  Returns a new object of class 'Search Condition Nested'.

  Returns:
    a new object of class 'Search Condition Nested'.

### createValueExpressionNested

    ValueExpressionNested createValueExpressionNested()

  Returns a new object of class 'Value Expression Nested'.

  Returns:
    a new object of class 'Value Expression Nested'.

### createOrderByOrdinal

    OrderByOrdinal createOrderByOrdinal()

  Returns a new object of class 'Order By Ordinal'.

  Returns:
    a new object of class 'Order By Ordinal'.

### createTableCorrelation

    TableCorrelation createTableCorrelation()

  Returns a new object of class 'Table Correlation'.

  Returns:
    a new object of class 'Table Correlation'.

### createUpdateSource

    UpdateSource createUpdateSource()

  Returns a new object of class 'Update Source'.

  Returns:
    a new object of class 'Update Source'.

### createUpdateSourceExprList

    UpdateSourceExprList createUpdateSourceExprList()

  Returns a new object of class 'Update Source Expr List'.

  Returns:
    a new object of class 'Update Source Expr List'.

### createUpdateSourceQuery

    UpdateSourceQuery createUpdateSourceQuery()

  Returns a new object of class 'Update Source Query'.

  Returns:
    a new object of class 'Update Source Query'.

### createOrderByResultColumn

    OrderByResultColumn createOrderByResultColumn()

  Returns a new object of class 'Order By Result Column'.

  Returns:
    a new object of class 'Order By Result Column'.

### createWithTableReference

    WithTableReference createWithTableReference()

  Returns a new object of class 'With Table Reference'.

  Returns:
    a new object of class 'With Table Reference'.

### createQueryNested

    QueryNested createQueryNested()

  Returns a new object of class 'Query Nested'.

  Returns:
    a new object of class 'Query Nested'.

### getSQLQueryModelPackage

    SQLQueryModelPackage getSQLQueryModelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.